$( document ).ready(function() {
  $('.select2').select2({
    minimumResultsForSearch: 10
  });
  $('#xConsulta').on("change", function (e) { $('#btnVerResultado').hide(); });
  $('.consultasmenu').select2({
    dropdownCssClass: 'bigdrop',
    minimumResultsForSearch: 10
  });

  $('#conteFiltro').show();
  $('#conteResultado').hide();
});

function doConsultar() {
  switch ($('#xConsulta').val()) {
    case '1':
      saldos('codigo');
    break;
    case '2':
      saldos('');
    break;
    default:
      $.alert('Seleccione una consulta.');
  }
}

function controlarCuentaCorriente() {
  if ($("[name=filtroFecha]").length == 0) {
    $.alert('Debe ingresar al menos un per&iacute;odo.');
    return false; 
  }

  return true;
}

function saldos(vFiltro) {
  if (controlarCuentaCorriente()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

  	$('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
	  jsonStringPeriodos = filtroPeriodos();
    if ($('#SaldoCero').is(':checked')) {
      xSaldoCero = 1; 
    }
    else {
      xSaldoCero = 0;
    }

    $.ajax({
      url: 'ajax-cuenta-corriente-saldos.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
      	     xBases           : $('#listaBases').val(),
      	     xMostar          : $('#xMostrar').val(),
      	     xCero            : xSaldoCero,
      	     xOrden           : vFiltro,
    		     sid: Math.random()},
	    dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
	      if (xResponse['success']) {
		      $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: true,
            scrollX: true,
            scrollY:'60vh',
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
          });
          if (vFiltro == 'codigo') {
            $("div.tituloresultado").html('<span class="" id="lblTitulo">Saldos por Código</span>');     
          }
          else {
            $("div.tituloresultado").html('<span class="" id="lblTitulo">Saldos por Razón Social</span>');     
          }
          //$('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
	      }
	      else {
          $.alert(xResponse['message']); 
	      }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}


function verResultado() {
  $('#conteFiltro').hide();
  $('#conteResultado').show();
  $('#btnVerResultado').hide();
  $('#btnVerFiltros').show();
  $('#btnConsultas').hide();
  $('#btnConsultar').hide();
  $('#btnTitulo').show();
  $('#btnLimpiarTodo').hide();
  $('#conteGuardar').show();
}

function verFiltros() {
  $('#conteFiltro').show();
  $('#conteResultado').hide();
  $('#btnVerResultado').show();
  $('#btnVerFiltros').hide();
  $('#btnConsultas').show();
  $('#btnConsultar').show();
  $('#btnTitulo').hide();
  $('#btnLimpiarTodo').show();
  $('#conteGuardar').hide();
}

function toExcel() {
  $("#tablaResultado").excelexportjs({
    containerid: "tablaResultado",
    datatype: 'table',
    locale: 'es-AR'

  });
}

function toExcelModal() {
  $("#tablaDetalle").excelexportjs({
    containerid: "tablaDetalle",
    datatype: 'table',
    locale: 'es-AR'

  });
}

function verResumen(xCliente, xBase) {
  $('#conteTablaDetalle').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
  $('#lblTitular').html('Resumen de Cuenta - ' + $('#razon'+xCliente).html());
  $('#detalle_modal').modal('show');
  $.ajax({
    url: 'cuenta-corriente-resumen.php',
    type: 'POST',
    data: {xDesde: $('#auxDesde').val(),
           xHasta: $('#auxHasta').val(),
           xCliente: xCliente,
           xBase: xBase,
           xRazon: $('#razon'+xCliente).html(),
           xInicial: $('#inicial'+xCliente).data('valor')},
    dataType: "text",
    cache: false,
    success: function (xResponse) {
      if ( $.fn.DataTable.isDataTable( '#tablaDetalle' ) ) {
        $('#tablaDetalle').DataTable().destroy();
        $('#tablaDetalle').remove();
      }
      $('#conteTablaDetalle').html(xResponse);
      $('#tablaDetalle').DataTable( {
        fixedHeader: true,
        scrollX: true,
        scrollY:'40vh',
        bAutoWidth: true,
        ordering: false,
        paging: false,
        dom: '<"tituloresultado">frtip'
      });
    
      $('#detalle_modal').on('shown.bs.modal', function() {
         setTimeout(function(){
        $.fn.dataTable.tables( {visible: true, api: true} ).columns.adjust();}, 350);
      })
    },
    error: function(xhr, status, error) {
      alert(error);
    }
  })
}

function verDeuda(xCliente, xBase) {
  $('#conteTablaDetalle').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
  $('#lblTitular').html('Composición de Deuda - ' + $('#razon'+xCliente).html());
  $('#detalle_modal').modal('show');
  $.ajax({
    url: 'cuenta-corriente-composicion.php',
    type: 'POST',
    data: {xDesde: $('#auxDesde').val(),
           xHasta: $('#auxHasta').val(),
           xCliente: xCliente,
           xBase: xBase,
           xRazon: $('#razon'+xCliente).html()
          },
    dataType: "text",
    cache: false,
    success: function (xResponse) {
      if ( $.fn.DataTable.isDataTable( '#tablaDetalle' ) ) {
        $('#tablaDetalle').DataTable().destroy();
        $('#tablaDetalle').remove();
      }
      $('#conteTablaDetalle').html(xResponse);
      $('#tablaDetalle').DataTable( {
        fixedHeader: true,
        scrollX: true,
        scrollY:'40vh',
        bAutoWidth: true,
        ordering: false,
        paging: false,
        dom: '<"tituloresultado">frtip'
      });
    
      $('#detalle_modal').on('shown.bs.modal', function() {
         setTimeout(function(){
        $.fn.dataTable.tables( {visible: true, api: true} ).columns.adjust();}, 350);
      })
    },
    error: function(xhr, status, error) {
      alert(error);
    }
  })
}